Subject: Re: [EGIT PATCH 00/31] Push GUI, GUI improvements, various jgit stuff

From: Robin Rosenberg <[email-masked]>
Date: Tue, 19 Aug 2008 21:21:30 +0200

tisdagen den 19 augusti 2008 19.59.31 skrev Shawn O. Pearce:
> Marek Zawirski <[email-masked]> wrote:
> > Robin, Tor, I know that you were already contributing some graphics to
> > egit. If someone of you would like to do some icon for push/fetch with
> > pleasure, you are welcome. Otherwise I'll have to do some crappy icon
> > instead ;) Another matter are checkboxes screenshots. I'm not sure
> > about legality status of including them. Any ideas if/how we co use
> > them or some another set that we can for sure?
> 
> So my office-mate suggests that the output of a program (in this
> case the checkbox icon) isn't covered by the same copyright as the
> program that created it.  So we may be OK. 
It's not that simple. That obviously may be the case, but I'm certain
it does not apply to individual well defined pieces of artwork (or text for
that matter) included in the output. 

> Or we just use some 
> other sort of icon for the checkbox.  Maybe Tor would be able to
> come up with something useful here?
Most annoying is that we'd need one (four) for each LAF supported.

> 
> Anyway, most of this series looks pretty good to me.  I found a
> few other annoying bugs in JGit and EGit as a result of testing
> this series, but they are unrelated to the series and have been
> there all along.  So I may try to fix them in the coming weeks.
>  
> >  55 files changed, 6471 insertions(+), 981 deletions(-)
> 
> Heh.  Been busy, hmm?  ;-)

The weather in and around the Baltic Sea has been horrible for much
of August so far. Maybe that helped him. :)

-- robin